<div class="flex flex-col h-screen items-center justify-center">
  <app-logo-banner
    className="mb-[-100%] mt-0 -translate-y-full"
  ></app-logo-banner>
  <app-content-box class="w-1/3" className="h-full">
    <app-heading
      className="mb-3"
      [display]="TITLE"
      [level]="1"
      text="Log In to Continue"
    ></app-heading>
    <app-paragraph>
      In order to proceed to this part of Plasma, we need to know who you are.
      Please enter your credentials below.
    </app-paragraph>
    <form
      class="gap-4 grid grid-cols-5"
      [formGroup]="credentialsForm"
      (ngSubmit)="submitCredentials()"
    >
      <label class="my-auto text-right" for="username">Username</label>
      <input
        class="bg-gray-800 col-span-2 p-2 rounded-md text-base"
        formControlName="username"
        id="username"
        type="text"
      />
      <div class="col-span-2 my-auto">
        <!-- TODO See about applying this class pattern elsewhere -->
        <strong
          class="opacity-0 text-red-800 transition-opacity"
          [class.opacity-100]="usernameHasError('required')"
        >
          Username is Required
        </strong>
      </div>

      <label class="flex-1 my-auto text-right" for="password">Password</label>
      <input
        class="bg-gray-800 col-span-2 p-2 rounded-md text-base"
        formControlName="password"
        id="password"
        type="password"
      />
      <div class="col-span-2 my-auto">
        <strong
          class="opacity-0 text-red-800 transition-opacity"
          [class.opacity-100]="passwordHasError('required')"
        >
          Password is Required
        </strong>
      </div>

      <div class="col-span-2 col-start-2 flex">
        <strong
          class="flex-1 my-auto opacity-0 pl-2 text-red-800 transition-opacity"
          [class.opacity-100]="this.credentialsFormError !== null"
        >
          {{ this.credentialsFormError }}
        </strong>
        <app-button text="Let's Go!" type="submit"></app-button>
      </div>
    </form>
  </app-content-box>
</div>
